from django.urls import path
from api.settings.settings import (
    OTPAPI,
    BannersAPI,
    DistributorsAPI,
    MessageAPI,
    OperatorAPI,
    MRoboticsAPI,
    OperatorByServiceAPI,
    RetailersAPI,
    ServiceAPI,
    StateAPI,
)

urlpatterns = [
    path("operators/", OperatorAPI.as_view()),
    path("operators-by-service/<str:service>/", OperatorByServiceAPI.as_view()),
    path("get-operator/<int:id>/", OperatorAPI.as_view()),
    path("get-all-mrobotics/", MRoboticsAPI.as_view()),
    path("get-mrobotics/<int:id>/", MRoboticsAPI.as_view()),
    path("circles/", StateAPI.as_view()),
    path("services/", ServiceAPI.as_view()),
    path("send-otp/<str:number>/", OTPAPI.as_view()),
    path("distributor/<str:username>/", DistributorsAPI.as_view()),
    path("retailers/<str:username>/", RetailersAPI.as_view()),
    path("banners/", BannersAPI.as_view()),
    path("message/", MessageAPI.as_view()),
]
